- keep ||= []

%form{ method: 'GET', action: '' }
  - keep.each do |filter|
    - next if params[filter].blank?
    %input{ type: 'hidden', name: filter, value: params[filter].presence }
  .rui-field--inline
    .rui-field__field
      %input{ type: 'text', name: 'search', value: params[:search].presence }
      %button{ type: 'submit' }= t('generic.search')
      = filter_by_link t('generic.clear'),
                       { class: 'rui-button rui-button--destructive', disabled: params[:search].blank? },
                       filters: { search: nil },
                       keep: keep,
                       icon: false
